## ros-kinetic-fanuc-driver 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(fanuc_driver)

# let industrial_robot_client pull in all other dependencies
find_package(catkin REQUIRED COMPONENTS industrial_robot_client)

catkin_package(
  CATKIN_DEPENDS industrial_robot_client
)

# these nodes run on the host computer, so use Linux sockets for
# simple_message sockets
add_definitions(-DLINUXSOCKETS=1)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)


# non-swapping Fanuc specific robot state node
add_executable(${PROJECT_NAME}_robot_state
  src/fanuc_robot_state_node.cpp
  src/fanuc_utils.cpp)
target_link_libraries(${PROJECT_NAME}_robot_state
  industrial_robot_client
  simple_message
  ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_robot_state
  PROPERTIES OUTPUT_NAME robot_state
  PREFIX "")


# byte-swapping Fanuc specific robot state node
add_executable(${PROJECT_NAME}_robot_state_bswap
  src/fanuc_robot_state_node.cpp
  src/fanuc_utils.cpp)
target_link_libraries(${PROJECT_NAME}_robot_state_bswap
  industrial_robot_client_bswap
  simple_message_bswap
  ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_robot_state_bswap
  PROPERTIES OUTPUT_NAME robot_state_bswap
  PREFIX "")


# non-swapping Fanuc specific motion streaming interface
add_executable(${PROJECT_NAME}_motion_streaming_interface
  src/fanuc_joint_streamer_node.cpp
  src/fanuc_utils.cpp)
target_link_libraries(${PROJECT_NAME}_motion_streaming_interface
  industrial_robot_client
  simple_message
  ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_motion_streaming_interface
  PROPERTIES OUTPUT_NAME motion_streaming_interface
  PREFIX "")


# byte-swapping Fanuc specific motion streaming interface
add_executable(${PROJECT_NAME}_motion_streaming_interface_bswap
  src/fanuc_joint_streamer_node.cpp
  src/fanuc_utils.cpp)
target_link_libraries(${PROJECT_NAME}_motion_streaming_interface_bswap
  industrial_robot_client_bswap
  simple_message_bswap
  ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_motion_streaming_interface_bswap
  PROPERTIES OUTPUT_NAME motion_streaming_interface_bswap
  PREFIX "")


if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)

  set(rl_test_deps
    ${PROJECT_NAME}_robot_state
    ${PROJECT_NAME}_robot_state_bswap
    ${PROJECT_NAME}_motion_streaming_interface
    ${PROJECT_NAME}_motion_streaming_interface_bswap)

  if (TARGET joint_trajectory_action)
    # not nice, but industrial_robot_client doesn't prefix its targets
    list(APPEND rl_test_deps joint_trajectory_action)
  endif()

  roslaunch_add_file_check(tests/roslaunch_test.xml
    DEPENDENCIES ${rl_test_deps})
endif()


install(TARGETS
  ${PROJECT_NAME}_motion_streaming_interface
  ${PROJECT_NAME}_motion_streaming_interface_bswap

  ${PROJECT_NAME}_robot_state
  ${PROJECT_NAME}_robot_state_bswap

  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY karel launch tpe
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES readme.md DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-fanuc-driver (0.5.1-1xenial) xenial; urgency=high

  * bump min CMake version (#309 <https://github.com/ros-industrial/fanuc/issues/309>).
  * mark all IKFast plugins as deprecated (#302 <https://github.com/ros-industrial/fanuc/issues/302>).
  * disable gitattributes temporarily (#299 <https://github.com/ros-industrial/fanuc/issues/299>).
  * add note to readme about performance (#295 <https://github.com/ros-industrial/fanuc/issues/295>).
  * point to manifest for info on package contents (#292 <https://github.com/ros-industrial/fanuc/issues/292>).
  * add note to readme about limitations (#283 <https://github.com/ros-industrial/fanuc/issues/283>).
  * add comments to movesm TP program (#280 <https://github.com/ros-industrial/fanuc/issues/280>).
  * remove roslaunch version requirements as they're no longer needed (#278 <https://github.com/ros-industrial/fanuc/issues/278>).
  * for a complete list of changes see the commit log for 0.5.1 <https://github.com/ros-industrial/fanuc/compare/0.5.0...0.5.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 01 Apr 2021 22:00:00 -0000

ros-kinetic-fanuc-driver (0.5.0-1xenial) xenial; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.5.0 <https://github.com/ros-industrial/fanuc/compare/0.4.4...0.5.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 24 Sep 2019 22:00:00 -0000

ros-kinetic-fanuc-driver (0.4.4-1xenial) xenial; urgency=high

  * add custom manifest tags to make package support level explicit.
  * for a complete list of changes see the commit log for 0.4.4 <https://github.com/ros-industrial/fanuc/compare/0.4.3...0.4.4>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jan 2018 23:00:00 -0000

ros-kinetic-fanuc-driver (0.4.3-1xenial) xenial; urgency=high

  * update comment for Pressure Abnormal safety signal in Karel sources.
  * for a complete list of changes see the commit log for 0.4.3 <https://github.com/ros-industrial/fanuc/compare/0.4.2...0.4.3>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 13 Oct 2017 22:00:00 -0000

ros-kinetic-fanuc-driver (0.4.2-1xenial) xenial; urgency=high

  * add readme to explain that low-level launch files should probably not be used directly.
  * increase default Karel loop rate to 42 Hz (ref: #203 <https://github.com/ros-industrial/fanuc/issues/203>).
  * minor: remove 'irs_in_mtn' prototype from Karel library.
  * add XML schema processing instruction (#200 <https://github.com/ros-industrial/fanuc/issues/200>).
  * for a complete list of changes see the commit log for 0.4.2 <https://github.com/ros-industrial/fanuc/compare/0.4.1...0.4.2>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 May 2017 22:00:00 -0000

ros-kinetic-fanuc-driver (0.4.1-1xenial) xenial; urgency=high

  * minor: sort install targets in build scripts.
  * remove roslaunch test dependencies (#185 <https://github.com/ros-industrial/fanuc/issues/185>).
  * for a complete list of changes see the commit log for 0.4.1 <https://github.com/ros-industrial/fanuc/compare/0.4.0...0.4.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 16 Jun 2016 22:00:00 -0000

ros-kinetic-fanuc-driver (0.4.0-1xenial) xenial; urgency=high

  * first Indigo release.
  * upgrade manifests to package format 2 (#115 <https://github.com/ros-industrial/fanuc/issues/115>).
  * general cleanup of XML files (launch, manifests, roslaunch tests, xacros).
  * add ROS Index tags to package manifests (#147 <https://github.com/ros-industrial/fanuc/issues/147>).
  * document launch file arguments (#165 <https://github.com/ros-industrial/fanuc/issues/165>).
  * use multi-arg install rule instead of for-loop.
  * for a complete list of changes see the commit log for 0.4.0 <https://github.com/ros-industrial/fanuc/compare/0.3.2...0.4.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 10 Oct 2015 22:00:00 -0000

ros-kinetic-fanuc-driver (0.3.2-1xenial) xenial; urgency=high

  * abort on missing J23_factor param (#152 <https://github.com/ros-industrial/fanuc/issues/152>).
  * add readmes to all packages (#153 <https://github.com/ros-industrial/fanuc/issues/153>).
  * for a complete list of changes see the commit log for 0.3.2 <https://github.com/ros-industrial/fanuc/compare/0.3.1...0.3.2>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 18 Apr 2015 22:00:00 -0000

ros-kinetic-fanuc-driver (0.3.1-1xenial) xenial; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.3.1 <https://github.com/ros-industrial/fanuc/compare/0.3.0...0.3.1>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 20 Jan 2015 23:00:00 -0000

ros-kinetic-fanuc-driver (0.3.0-1xenial) xenial; urgency=high

  * promote experimental packages for M-10iA, M-16iB, M-20iA, M-430iA and LR Mate 200iC to main repository.
  * Karel driver updates:
    
      * explicit socket close on ABORT (#27 <https://github.com/ros-industrial/fanuc/issues/27>)
      * improve use of Karel built-in routines and constants (math, IO, TP keys) (#50 <https://github.com/ros-industrial/fanuc/issues/50>)
      * update translator directives and header documentation
      * update copyright notices and Karel library versions
      * introduce include dir
      * include trajectory relay program status in 'motion_possible' calculation (#108 <https://github.com/ros-industrial/fanuc/issues/108>)
      * fixup use of underscore suffixes to convey routine & variable scope
    
  * explicitly declare dependencies of roslaunch tests (#70 <https://github.com/ros-industrial/fanuc/issues/70>).
  * for a complete list of changes see the commit log for 0.3.0 <https://github.com/ros-industrial/fanuc/compare/0.2.0...0.3.0>



=== debian/control ===
Source: ros-kinetic-fanuc-driver
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-industrial-robot-client, ros-kinetic-roslaunch
Homepage: http://wiki.ros.org/fanuc_driver
Standards-Version: 3.9.2

Package: ros-kinetic-fanuc-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-industrial-robot-client
Description: ROS-Industrial nodes for interfacing with Fanuc robot controllers.
 This package is part of the ROS-Industrial program and contains nodes for interfacing with Fanuc industrial robot controllers that support the KAREL programming environment. Refer to the readme of this package for a note on the performance of the driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fanuc-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
